module lect_climref_Ice2sea

  use module3D_phy
  use interface_input
  use no_ablation

  character(len=100) :: smb_file           ! fichier smb
  character(len=100) :: temp_annual_file   ! temperature annuelles
  real               :: coef_smb_unit      ! pour corriger l'unite


contains

  subroutine input_climat_ref()

    namelist/clim_smb_T_gen/smb_file,coef_smb_unit,temp_annual_file

428 format(A)
    rewind(num_param)                     ! pour revenir au debut du fichier param_list.dat
    read(num_param,clim_smb_T_gen)

    write(num_rep_42,428)'!___________________________________________________________' 
    write(num_rep_42,428)'!  module  lect_climref_Ice2sea                             '
    write(num_rep_42,clim_smb_T_gen)
    write(num_rep_42,428)'!___________________________________________________________' 


! smb : surface mass balance

    smb_file  = trim(dirnameinp)//trim(smb_file)

    call lect_input(3,'smb',1,bm,smb_file,trim(dirnameinp)//trim(runname)//'.nc')

    bm(:,:)  = bm(:,:) * coef_smb_unit


    where ((H(:,:).lt.1.).and.(Bsoc(:,:).gt.0.))
       bm(:,:) = bm(:,:) - 5.                     ! pour faire un masque a l'exterieur du Groenland actuel
    end where


    acc(:,:) = 0.
    abl(:,:) = 0.

    where (bm(:,:).gt.0.)
       acc(:,:) = bm(:,:)   ! accumulation quand positif
    elsewhere
       abl(:,:) = - bm(:,:) ! ablation quand negatif
    end where


! surface temperature  Tann

    temp_annual_file = trim(dirnameinp)//trim(temp_annual_file)

    call lect_input(3,'Tann',1,Tann,temp_annual_file,trim(dirnameinp)//trim(runname)//'.nc')

    ta0(:,:)   = Tann(:,:)
    Tjuly(:,:) = Tann(:,:)


! remarque : Tjuly, Acc et Abl ne servent normalement pas dans le reste du code

  end subroutine input_climat_ref

end module  lect_climref_Ice2sea
