!> \file paradim-ant20_CISM_mod.f90
!! Def des dimensions du grille CISM a 20 km  
!<

!> \namespace module_ant20_CISM
!! Def des dimensions du grille CISM a 20 km  
!! \author ...
!! \date ...
!! @note prescribe nx,ny,  dimension of most arrays
!! for Antarctic 20 km grid CISM
!<
module module_mismip3_5  

implicit none

! character
character(len=7),  parameter  :: geoplace='mism3_5'
character(len=23), parameter  :: dirnameinp='../INPUT/MISMIP_3D/'    !< input directory
character(len=17), parameter  :: dirforcage='../INPUT/Forcage/'      !< input directory

! dimensionnement grilles : les noeuds 1 et ny sont hors domaine de MISMIP
!-------------------------
integer, parameter :: nx=321           !< dimension selon x (indice i)
integer, parameter :: ny=23            !< dimension selon y (indice j) 
integer, parameter :: nlmin=387        !< min(nx,ny), pour matrice elliptique  
integer, parameter :: nz=21            !< dimension selon z (indice k) 
integer, parameter :: nzm=4            !< nb de points verticaux dans le socle
integer, parameter :: nn=199           !< pour des sorties


! pas horizontal
!-----------------
real, parameter    :: dx=5000.0      !< pas en X en m
real, parameter    :: dy=5000.0      !< pas en Y en m


end module module_mismip3_5
