# Makefile de la version avec le new remplimat
# Les options de complilations sont dans les fichiers specifiques, adaptes aux diverses machines utilisees 
# FT options de compilation
# LK options de link
# F_NETCDF options de compilation + librairies NETCDF

# pour lancer des jobs avec lecture d'un fichier namelist
# nojob pour lancer avec fichier param dans repertoire resultat
JOB = 'nojob'
# job pour lancer avec fichier param nom quelconque dans SOURCES/Fichiers-parametres 
#JOB = 'job'

# pour lancer
# sur pc: nohup `echo job-test | LBqAntar-15` &    ou echo job-test | LBqAntar-15
# sur r2d2 le mettre dans job*sh

#-------------------------------------------
# listes pour la resolution equation elliptique
#------------------------------------------------

# nouvelle version de remplimat
#----------------------------------

mod_ell             = remplimat_declar_tabTu_mod.o eq_ellipt_sgbsv_mod-0.2.o
routine_elliptiques = remplimat-shelves-tabTu.o graphique_L2.o graph-sgbsv.o
diagnoshelf         = diagno-L2_mod.o


# liste de modules communs a toutes geographies/experiences
#-----------------------------------------------------------

# modules servant aux declarations globales
mod_dim_communs = runparam_mod.o param_phy_mod.o \
	3D-physique-gen_mod.o io_netcdf_GRISLI.o 



# modules climats : doivent etre compatibles avec les modules choix
# il faut choisir un des deux ou un specifique a une geometrie.

# module de forcage climatique C. Dumas
# Modif dmr 2016-01-20
mod_clim_tof = climat_forcage_mois_mod.o climat-forcage-insolation_mod_oneway.o \
	climat-forcage-insolation_mod.o climat_GrIce2sea_years_mod.o \
	climat_GrIce2sea_years_perturb_mod.o \
	climat-perturb_mod-0.4.o \
	ablation_mod.o no_ablation_mod.o \
	climat_coupl_atm_mod.o

# methode forcage basee sur des snapshots climats
mod_clim_forcage = climat-forcage_mod-0.4.o \
	declare-month_mod.o \
	declare-month_lapsecouche_mod.o  \
	ablation_ann_july_mod.o \
	ablation_month.o accum_month.o no_ablation_mod.o \
	massb-ant_forcage-0.4.o	accum7.o \
	ablation_month_lapsecouche.o accum_month_lapsecouche.o 

# methode perturbation des champs actuels
mod_clim_perturb = climat-perturb_mod-0.4.o climat-perturb-mois_mod.o \
	climat-perturb-mois_lapsecouche_mod.o \
	declare-month_mod.o \
	declare-month_lapsecouche_mod.o  \
	ablation_ann_july_mod.o \
	ablation_month.o accum_month.o no_ablation_mod.o \
	ablation_month_lapsecouche.o accum_month_lapsecouche.o \
	massb_perturb_mois.o massb_perturb_mois_lapsecouche.o 

mod_communs = util_recovery.o \
	interface_input.o \
	iso_declar_mod-0.3.o isostasie_mod-0.3.o noisostasie_mod-0.3.o \
	deformation_mod_2lois.o deformation_mod_2lois_isotherme.o     \
	sliding_Bindshadler_mod.o no_sliding.o			    \
	dragging_hwatermax_0.2_mod.o dragging_calc_beta_mod.o  \
	dragging_hwat-contigu_mod.o dragging_hwat_contmaj_mod.o \
	dragging_hwat_sedim_mod.o dragging_neff_slope_mod.o \
	dragging_param_beta_mod.o \
	calving_frange.o no_calving.o no_lakes.o \
	out_profile_mod.o printtable_mod.o mix-SIA-L1_mod.o \
	relaxation_water_diffusion.o \
	prescribe-H-i2s_mod.o  \
	resol_adv_diff_2D-sept2009.o  \
	conserv-mass-adv-diff_sept2009_mod.o  \
	eaubasale-0.5_mod.o spinup_mod.o no_spinup_mod.o \
	tridiag_mod-0.3.o out_horiz_mod.o \
	bmelt_clio_coupl_mod.o bmelt-seuil-profondeur_mod.o 

mod_communs_RGL =   util_recovery.o \
        interface_input.o \
        iso_declar_mod-0.3.o isostasie_mod-0.3.o noisostasie_mod-0.3.o \
        deformation_mod_2lois.o deformation_mod_2lois_isotherme.o      \
        sliding_Bindshadler_mod.o no_sliding.o                      \
        dragging_hwatermax_0.2_mod.o dragging_calc_beta_mod.o  \
        dragging_hwat-contigu_mod.o dragging_hwat_contmaj_mod.o \
	dragging_hwat_sedim_mod.o dragging_neff_slope_mod.o \
	dragging_param_beta_mod.o \
        calving_frange.o no_calving.o no_lakes.o \
        out_profile_mod.o printtable_mod.o mix-SIA-L1_mod.o \
        relaxation_water_diffusion.o \
        prescribe-H-i2s_mod.o   \
        resol_adv_diff_2D-sept2009.o  \
        conserv-mass-adv-diff_sept2009_mod.o  \
        eaubasale-0.5_mod.o spinup_mod.o no_spinup_mod.o \
        tridiag_mod-0.3.o out_horiz_mod.o bmelt-seuil-profondeur_mod.o


# attention les tracers reclament le climat_perturb
mod_tracers = tracer_vars_mod.o tracer_mod.o notracer_mod.o \
	interpolate_tracer.o celltest_tracer.o 	
# no_tracer a part pour eviter pb avec climat_perturb => voir avec Cat
mod_no_tracers = tracer_vars_mod.o notracer_mod.o


Proto_recul = proto_declar_3D_grisli_mod.o \
	declar_io_ncdf_proto_mod.o\
	declar_proto_recul.o \
	proto_recul_mod.o \

# Toy est la version juin 2012 avec Schooffing

toy_recul = toy_declar_3D_grisli_mod.o \
	declar_io_ncdf_toy_mod_fake.o\
	declar_toy_retreat.o \
	toy_retreat_mod.o \



# liste de routines communes

routines_communes = tracebug.o ablation_bord.o \
	icetemp_declar_mod.o bmelt-grounded.o \
	diffusiv-polyn-0.6.o \
	flottab2-0.7.o   \
	advec_icetemp.o \
	prop_th_icetemp.o \
	Qprod_icetemp.o \
	temp_col.o \
	icetemp_mod.o \
	initial-0.3.o initial-phy-2.o initial2-0.4.o \
	lect-eis.o  readinput.o lect_datfile.o write_datfile.o \
	out_cptr_mod.o lineartemp-0.2.o  litho-0.4.o main3D-0.4-40km.o masque.o \
	minmax-format.o moy_mxmy.o neffect-0.4.o new-flot-0.3.o  next-time.o \
	no-icethick.o  printdebug.o  \
	sealevel-out.o slope_surf.o \
	snaptime.o sortie-hz-multivar.o strain_rate.o \
	tab-litho-0.3.o taubed-0.3.o \
	velocities-polyn-0.3.o \
	courbures.o



# listes dependant de la geographie
#_____________________________________

# Liste_mismip_3D_5
Liste_mismip_3D_5 =  no_ablation_mod.o climat-mismip3d_mod.o  \
	output_global_mod.o dragging_mismip3d_mod.o \
	fake-routines-mismip3d_mod.o \
	tracer_vars_mod.o notracer_mod.o 

# Liste_mismip_post_ncdf
Liste_mismip_post_ncdf = lect-mismip3d_mod.o  module_choix_mismip3d.o


# Liste_GrIce2sea
Liste_GrIce2sea =  lect_GrIce2sea_gen_nc.o  \
        output_Grice2sea_mod.o  fake-routines_Grice2sea_mod.o \
	dragging_prescr_beta_mod.o beta_iter_vitbil_mod.o module_choix_GrIce2sea.o
	

Liste_heminord = paradim-nord40_mod.o  output_nord_mod-0.4.o \
	lect-clim-act-nord40_mod.o lect-nord40_mod.o  \
	bmelt-nor-regions_mod.o bmelt-nor-depth_mod.o module_choix-heminord-0.4.o \
        fake-routines-nord_mod.o 


#Liste_ANT15-LBq = lect-Ant_clim_Acc-T_gen_dat.o output_anta_mod-0.4.o \
#	dragging-vit_bil_LBq_gen_mod.o dragging_LGM_mod.o dragging_plastic_LGM_mod.o \
#	dragging_prescr_beta_mod.o dragging_prescr_beta_buoyency_mod.o dragging_prescr_beta_nolin_mod.o \
#	fake-routines-ant_mod.o beta_iter_vitbil_mod.o \
#	lect-Ant_gen2010_dat.o module_choix_antar15_LBq.o \
#	massb-ant_perturb_Tparam.o track_ant40_mod.o 

Liste_ANT15-LBq = output_anta_mod-0.4.o \
		lect-Ant_gen2010_dat.o \
		lect-anteis_mod.o \
		bmelt-ant-regions_mod.o \
		fake-routines-ant_mod.o \
		module_choix_antar15_LBq.o \
		track_ant40_mod.o \

Liste_hudson = sedim_declar_hudson_mod.o climat-hudson_mod.o \
       lect-hudson_mod.o eaubasale-0.5_hudson_mod.o \
       fake-routines-hudson_mod.o detect-assym.o  \
       prop-therm-hudson_mod.o dragging_hudson_jorge_mod.o \
       sliding-hudson_mod.o fake-dragging-hudson_mod.o \
       dragging-hudson_mod.o dragging_hwatermax_hudson_mod.o \
       output_hudson_mod.o bmelt_hudson_mod.o initial-hudson-phy.o  \
       module_choix-hudson-0.4.o track_hudson_mod.o

Liste_hemin40 = output_hemin40_mod.o \
        lect-hemin40_mod.o  \
        bmelt-hemin40-regions_mod.o bmelt-hemin40-depth_mod.o \
        fake-routines-hemin40_mod.o  module_choix-hemin40-0.4.o \
        track_hemin40_mod.o

Liste_hemin15 = output_hemin40_mod.o \
        lect-hemin15_mod.o  \
        bmelt-hemin40-depth_mod.o \
        fake-routines-hemin15_mod.o  module_choix-hemin15.o \
        track_hemin15_mod.o

Liste_greeneem15 = output_greeneem_mod-0.4.o \
	lect-greeneem_mod.o \
	dragging_neem_mod.o \
	fake-routines-greeneem_mod.o \
	module_choix-greeneem.o \
	track_greeneem_mod.o 

Liste_Ant40 = output_anta40_mod-0.4.o \
        lect-anteis_mod.o \
        bmelt-ant-regions_mod.o \
	bmelt-ant-regions-oce_mod.o \
        fake-routines-ant_mod.o module_choix-antar40-0.4.o \
        track_ant40_mod.o
        
Liste_Snowball = output_snowball_mod-0.4.o \
	lect-snowball_mod.o \
	bmelt-snowball-depth_mod.o \
	fake-routines-snowball_mod.o \
	module_choix-snowball.o \
	track_snowball_mod.o
	

Liste_eura40 = output_eurasie40_mod-0.1.o \
        lect-eurasie_mod.o lakes-prescribed_mod-0.1.o \
        climat-forcage-mois_mod-0.2.o \
        ablation_month.o accum_month.o  bmelt-eurasie-depth-lake_mod.o \
        fake-routines-eurasie_mod.o module_choix-eurasie-0.4.o \
        track_eurasie_mod.o

Liste_greenmint40 = output_green_mod-0.4.o lect-clim-act-greenmint_mod.o \
        lect-greenmint_mod.o massb_perturb_Tparam_green.o \
	fake-routines-greenmint_mod.o massb-ant_forcage-0.4.o \
	module_choix-greenmint-40.o track_greenmint_mod.o \

Liste_greeneem45 = output_greeneem_mod-0.4.o lect-clim-act-greeneem_mod.o \
	lect-clim-act-greeneem_mar_mod.o \
	dragging_neem_mod.o \
        lect-clim-act-greeneem_mois_lapsecouche_mod.o \
        lect-clim-act-greeneem_mois_mod.o lect-greeneem_mod.o \
	massb_perturb_Tparam_greeneem.o \
	fake-routines-greeneem_mod.o massb-ant_forcage-0.4.o \
	module_choix-greeneem.o track_greeneem_mod.o 

Liste_greeneem05 = output_greeneem_mod-0.4.o lect-clim-act-greeneem_mod.o \
	lect-clim-act-greeneem_mar_mod.o \
	dragging_neem_mod.o \
        lect-clim-act-greeneem_mois_lapsecouche_mod.o \
        lect-clim-act-greeneem_mois_mod.o lect-greeneem_mod.o \
	massb_perturb_Tparam_greeneem.o \
	fake-routines-greeneem_mod.o massb-ant_forcage-0.4.o \
	module_choix-greeneem.o track_greeneem_mod.o 

Liste_gsearise15 = output_gsearise_mod-0.4.o lect-clim-act-gsearise_mod.o \
	dragging_neem_mod.o \
        lect-clim-act-gsearise_mois_mod.o lect-gsearise_mod.o \
	massb_perturb_Tparam_gsearise.o \
	fake-routines-gsearise_mod.o massb-ant_forcage-0.4.o \
	module_choix-gsearise.o track_gsearise_mod.o 

Liste_gsearise05 = output_gsearise_mod-0.4.o lect-clim-act-gsearise_mod.o \
	dragging_neem_mod.o \
        lect-clim-act-gsearise_mois_mod.o lect-gsearise_mod.o \
	massb_perturb_Tparam_gsearise.o \
	fake-routines-gsearise_mod.o massb-ant_forcage-0.4.o \
	module_choix-gsearise.o track_gsearise_mod.o 

# listes de dimensionnement (dependent de la geographie)
#-----------------------------

Dim_Mismip_3D_5 = paradim_mismip3D_5km_mod.o geography-Mismip3d.o

Dim_GrIce2sea = paradim-GrIce2sea-cut_Tamsin.o geography-GrIce2sea.o

Dim_ANT15-LBq    = paradim-ant15_LBq_mod.o geography-Ant15_LBq.o   

Dim_hudson = paradim-hudson_mod.o geography-hudson_mod.o

Dim_hemin40 = paradim-hemin40_mod.o geography-hemin40_mod.o

Dim_hemin15 = paradim-hemin15_mod.o geography-hemin15_mod.o

Dim_Ant40 = paradim-ant40_mod.o geography-ant40_mod.o

Dim_Snowball = paradim-snowball_mod.o geography-snowball_mod.o

Dim_eura40 = paradim-euras40_mod.o geography-euras40_mod.o

Dim_greenmint40 = paradim-greenmint40_mod.o geography-greenmint40_mod.o

Dim_greeneem45 = paradim-greeneem45_mod.o geography-greeneem45_mod.o

Dim_greeneem15 = paradim-greeneem15_mod.o geography-greeneem15_mod.o

Dim_greeneem05 = paradim-greeneem05_mod.o geography-greeneem05_mod.o

Dim_gsearise15 = paradim-gsearise15_mod.o geography-gsearise15_mod.o

Dim_gsearise05 = paradim-gsearise05_mod.o geography-gsearise05_mod.o


Liste_BLAS = LAPACK/band.o LAPACK/reduc.o \
	BLAS/isamax.o BLAS/lsame.o BLAS/scopy.o \
	BLAS/slamch.o BLAS/slabad.o BLAS/slange.o \
	BLAS/slassq.o BLAS/sgeqrf.o BLAS/sormqr.o \
	BLAS/strmv.o BLAS/slarft.o \
	BLAS/ilaslr.o BLAS/ilaslc.o BLAS/strmm.o \
	BLAS/slarfb.o BLAS/slapy2.o BLAS/slarfg.o BLAS/slarf.o \
	BLAS/sgeqr2.o BLAS/sorm2r.o BLAS/snrm2.o \
	BLAS/slaqps.o BLAS/slaqp2.o BLAS/sgeqp3.o \
	BLAS/slaset.o BLAS/slaisnan.o BLAS/sisnan.o \
	BLAS/slascl.o BLAS/sdot.o BLAS/slaic1.o \
	BLAS/slarzb.o BLAS/slarzt.o \
	BLAS/saxpy.o BLAS/slarz.o BLAS/sormr3.o \
	BLAS/sormrz.o BLAS/slatrz.o BLAS/stzrzf.o BLAS/sgelsy.o \
	BLAS/sgbmv.o BLAS/sgemm.o BLAS/sgemv.o  BLAS/sger.o \
	BLAS/sscal.o BLAS/sswap.o BLAS/stbsv.o \
	BLAS/strsm.o BLAS/xerbla.o



Liste_Netcdf =   sortie_netcdf_GRISLI_mod.0.2-hassine.o 


# Pour changer la methode de lecture du fichier param
#----------------------------------------------------------------------------------
initial-phy-2.o : 
	echo 'methode', $(JOB)

ifeq ($(JOB),'job')
	echo 'entree fichier parametre par commande echo job'

	 $(FT) $(NCDF_INC) -c initial-phy-2-job.f90
else	
	echo ' fichier parametre defini par runname'
	 $(FT) $(NCDF_INC) -c initial-phy-2.f90
endif

# Hemin40_files :
%.o: Hemin40_files/%.f90
	$(FT) $(NCDF_INC) -c Hemin40_files/$*.f90

# Hemin15_files
%.o: Hemin15_files/%.f90
	$(FT) $(NCDF_INC) -c Hemin15_files/$*.f90
	
# Antarctique_general_files
%.o: Antarctique_general_files/%.f90
	$(FT) $(NCDF_INC) -c Antarctique_general_files/$*.f90
	
# GrIce2sea_files
%.o: GrIce2sea_files/%.f90
	$(FT) $(NCDF_INC) -c GrIce2sea_files/$*.f90
	
# Ant40_files
%.o: Ant40_files/%.f90
	$(FT) $(NCDF_INC) -c Ant40_files/$*.f90
	
# ANT15-LBq_files
%.o: ANT15-LBq_files/%.f90
	$(FT) $(NCDF_INC) -c ANT15-LBq_files/$*.f90
	
# Greeneem_files/Greeneem15_files
%.o: Greeneem_files/Greeneem15_files/%.f90
	$(FT) $(NCDF_INC) -c Greeneem_files/Greeneem15_files/$*.f90
	
# Greeneem_files
%.o: Greeneem_files/%.f90
	$(FT) $(NCDF_INC) -c Greeneem_files/$*.f90
		
# Draggings_modules
%.o: Draggings_modules/%.f90
	$(FT) $(NCDF_INC) -c Draggings_modules/$*.f90
	
# Snowball_files
%.o: Snowball_files/%.f90
	$(FT) $(NCDF_INC) -c Snowball_files/$*.f90
	
	
# subroutines communes :
%.o: %.f90
	$(FT) $(NCDF_INC) -c $*.f90
	
# New-remplimat :
%.o : New-remplimat/%.f90
	$(FT) $(NCDF_INC) -c New-remplimat/$*.f90
	
# Netcdf-routines :
%.o: Netcdf-routines/%.f90
	$(FT) $(NCDF_INC) -c Netcdf-routines/$*.f90
	
#toy_recul :
%.o: Recul_force_grounding_line/%.f90
	$(FT) $(NCDF_INC) -c Recul_force_grounding_line/$*.f90
	
#Temperature :
%.o : Temperature-routines/%.f90
	$(FT) $(NCDF_INC) -c Temperature-routines/$*.f90
	
# BLAS :
%.o : BLAS/%.f
	$(FT) -c BLAS/$*.f
	
# Reduc et band:   
%.o : LAPACK/%.f
	$(FT) -c LAPACK/$*.f


# Liens et Construction des executables
#---------------------------------------
#       $(mod_clim_forcage) \ a mettre a la place de mod_clim_perturb eventuellement

Ant-15 : $(Dim_ANT15-LBq) $(mod_dim_communs) \
	$(toy_recul) \
	$(mod_communs) \
	$(mod_clim_tof)  \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_ANT15-LBq) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o ../bin/Ant-15 \
	$(Dim_ANT15-LBq) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof)  \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_ANT15-LBq) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)

Recul_ice2sea : $(Dim_ANT15-LBq) $(mod_dim_communs)  \
	$(toy_recul) \
	$(mod_communs_RGL) \
	$(mod_clim_perturb)  \
	$(mod_tracers) \
	$(mod_ell) $(Liste_ANT15-LBq) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes)steps_time_loop.o  $(routine_elliptiques) 

	$(LK) -o ../bin/recul_gl  $(Dim_ANT15-LBq) $(mod_dim_communs) \
	$(toy_recul) \
	$(mod_communs_RGL) \
	$(mod_clim_perturb)  \
	$(mod_tracers) \
	$(mod_ell) \
	$(Liste_ANT15-LBq) \
	$(diagnoshelf) $(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o $(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB)


Mismip3D_5 : $(Dim_Mismip_3D_5)	 $(mod_dim_communs)  $(mod_communs) \
	$(mod_ell) $(Liste_mismip_3D_5) \
	$(Liste_Netcdf) $(Liste_mismip_post_ncdf) \
	$(diagnoshelf) \
	$(routines_communes) steps_time_loop.o $(routine_elliptiques) 

	$(LK) -o ../bin/mismip3D  $(Dim_Mismip_3D_5)  \
	$(mod_dim_communs) fake-routines-mismip3d_mod.o $(mod_communs) \
	$(mod_ell)  $(Liste_mismip_3D_5) \
	$(Liste_Netcdf) $(Liste_mismip_post_ncdf) $(diagnoshelf) \
	$(routines_communes) steps_time_loop.o $(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB)

Grice2sea : $(Dim_GrIce2sea) $(mod_dim_communs)   \
	$(toy_recul)  \
	$(mod_communs_RGL) \
	$(mod_clim_tof)  \
	$(mod_tracers) \
	$(mod_ell) $(Liste_GrIce2sea) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o ../bin/Grice2sea \
	$(Dim_GrIce2sea) $(mod_dim_communs)  \
	$(toy_recul)  \
	$(mod_communs_RGL) \
	$(mod_clim_tof)  \
	$(mod_tracers) \
	$(mod_ell) $(Liste_GrIce2sea) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)

Grice2sea_iterbeta : $(Dim_GrIce2sea) $(mod_dim_communs)   \
	$(toy_recul)  \
	$(mod_communs_RGL) \
	$(mod_clim_tof)  \
	$(mod_tracers) \
	$(mod_ell) $(Liste_GrIce2sea) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop_avec_iterbeta.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o ../bin/Grice2sea_iterbeta \
	$(Dim_GrIce2sea) $(mod_dim_communs)  \
	$(toy_recul)  \
	$(mod_communs_RGL) \
	$(mod_clim_tof)  \
	$(mod_tracers) \
	$(mod_ell) $(Liste_GrIce2sea) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop_avec_iterbeta.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)

Hemin-40 : $(Dim_hemin40) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_hemin40) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) main_dummy.o steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o  ../bin/Hemin-40 \
	$(Dim_hemin40) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_hemin40) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) main_dummy.o steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)

	ar -cvr libgrisli.a $(Dim_hemin40) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_hemin40) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS) *.mod

Hemin-15 : $(Dim_hemin15) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_hemin15) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o  ../bin/Hemin-15 \
	$(Dim_hemin15) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_hemin15) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)

Greeneem15 : $(Dim_greeneem15) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_greeneem15) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o ../bin/Greeneem15 \
	$(Dim_greeneem15) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_tracers) \
	$(mod_ell) $(Liste_greeneem15) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)

Ant-40 : $(Dim_Ant40) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_Ant40) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o  ../bin/Ant-40 \
	$(Dim_Ant40) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_Ant40) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)
	
Snowball : $(Dim_Snowball) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_Snowball) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) \
	$(Liste_BLAS)

	$(LK) -o  ../bin/Snowball \
	$(Dim_Snowball) $(mod_dim_communs) \
	$(toy_recul)  \
	$(mod_communs) \
	$(mod_clim_tof) \
	$(mod_no_tracers) \
	$(mod_ell) $(Liste_Snowball) \
	$(diagnoshelf) \
	$(Liste_Netcdf) \
	$(routines_communes) steps_time_loop.o \
	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)
	
	



# attention : dans les geometries suivantes la liste module climat n'est pas donnee

Hudson : $(Dim_hudson) $(mod_dim_communs) $(mod_communs)  $(mod_ell) $(Liste_hudson) \
	$(diagnoshelf) $(Liste_Netcdf) \
	$(routines_communes) $(routine_elliptiques)  
	$(LK) -o ../bin/Hudson 	$(Dim_hudson) $(mod_dim_communs) $(mod_communs) $(mod_ell) $(Liste_hudson) \
	$(diagnoshelf) $(Liste_Netcdf) \
	$(routines_communes) $(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB)

#Hemin-40 : $(Dim_hemin40) $(mod_dim_communs) $(mod_communs)  $(mod_ell)  $(Liste_hemin40) \
#	$(diagnoshelf) $(Liste_Netcdf) \
#	$(routines_communes) $(routine_elliptiques)  

#	$(LK) -o  ../bin/Hemin-40  $(Dim_hemin40) $(mod_dim_communs) $(mod_communs) \
#	$(mod_ell)  $(Liste_hemin40) \
#	$(diagnoshelf) $(Liste_Netcdf) \
#	$(routines_communes) $(routine_elliptiques) $(NCDF_LIB)  $(MKL_LIB)

Heminord : $(Liste_heminord) $(Liste_commune) $(Liste_BLAS)
	$(LK) -o Heminord $(Liste_heminord) $(Liste_commune) $(Liste_BLAS)


Eura-40 :  $(Dim_eura40) $(mod_dim_communs) $(mod_communs)  $(mod_ell)  $(Liste_eura40) \
	$(diagnoshelf) $(Liste_Netcdf) \
	$(routines_communes) $(routine_elliptiques) 

	$(LK) -o  ../bin/Eura-40  $(Dim_eura40) $(mod_dim_communs) $(mod_communs) \
	$(mod_ell)  $(Liste_eura40) \
	$(diagnoshelf) $(Liste_Netcdf) \
	$(routines_communes) $(routine_elliptiques) $(NCDF_LIB)  $(MKL_LIB)

Greenmint40 : $(Dim_greenmint40) $(mod_dim_communs) $(mod_communs) \
	$(mod_ell) $(Liste_greenmint40) \
	$(diagnoshelf) $(Liste_Netcdf) $(routines_communes) $(routine_elliptiques) 

	$(LK) -o ../bin/Greenmint40 $(Dim_greenmint40) $(mod_dim_communs) $(mod_communs) \
        $(mod_ell) $(Liste_greenmint40) \
	$(diagnoshelf) $(Liste_Netcdf) $(routines_communes) $(routine_elliptiques) \
	$(NCDF_LIB)  $(MKL_LIB)

Greeneem45 : $(Dim_greeneem45) $(mod_dim_communs) $(mod_communs) \
	$(mod_ell) $(Liste_greeneem45) \
	$(diagnoshelf) $(Liste_Netcdf) $(routines_communes) $(routine_elliptiques) 

	$(LK) -o ../bin/Greeneem45 $(Dim_greeneem45) $(mod_dim_communs) $(mod_communs) \
        $(mod_ell) $(Liste_greeneem45) \
	$(diagnoshelf) $(Liste_Netcdf) $(routines_communes) $(routine_elliptiques) \
	$(NCDF_LIB)  $(MKL_LIB)

Greeneem05 : $(Dim_greeneem05) $(mod_dim_communs) $(mod_communs) \
	$(mod_ell) $(Liste_greeneem05) \
	$(diagnoshelf) $(Liste_Netcdf) $(routines_communes) $(routine_elliptiques) 

	$(LK) -o ../bin/Greeneem05 $(Dim_greeneem05) $(mod_dim_communs) $(mod_communs) \
        $(mod_ell) $(Liste_greeneem05) \
	$(diagnoshelf) $(Liste_Netcdf) $(routines_communes) $(routine_elliptiques) \
	$(NCDF_LIB)  $(MKL_LIB)


Gsearise15 : $(Dim_gsearise15) $(mod_dim_communs) $(mod_communs) \
	$(mod_ell) $(Liste_gsearise15) \
	$(diagnoshelf) $(Liste_Netcdf) $(routines_communes) $(routine_elliptiques) 

	$(LK) -o ../bin/Gsearise15 $(Dim_gsearise15) $(mod_dim_communs) $(mod_communs) \
        $(mod_ell) $(Liste_gsearise15) \
	$(diagnoshelf) $(Liste_Netcdf) $(routines_communes) $(routine_elliptiques) \
	$(NCDF_LIB)  $(MKL_LIB)


Gsearise05 : $(Dim_gsearise05) $(mod_dim_communs) $(mod_communs) \
	$(mod_ell) $(Liste_gsearise05) \
	$(diagnoshelf) $(Liste_Netcdf) $(routines_communes) $(routine_elliptiques) 

	$(LK) -o ../bin/Gsearise05 $(Dim_gsearise05) $(mod_dim_communs) $(mod_communs) \
        $(mod_ell) $(Liste_gsearise05) \
	$(diagnoshelf) $(Liste_Netcdf) $(routines_communes) $(routine_elliptiques) \
	$(NCDF_LIB)  $(MKL_LIB)




clean	:
	rm -f *.o *.mod *~  */*~ BLAS/*.o LAPACK/*.o libgrisli.a








