!> \file iso_declar_mod-0.3.f90
!!Declaration des variables intervenant dans l'isostasie 
!<

!> \namespace ISO_DECLAR
!! Declaration des variables intervenant dans l'isostasie 
!! \author ...
!! \date 18 Novembre 1999
!! @note dans le cas du modele avec equation de relaxation pour la composante temporelle
!! et regionalisation due a la rigidite de la lithosphere
!!
!! @note Ce module doit etre appele dans : isostasie_mod et toutes les
!! @note                    routines isostasie : 
!!                                               - taubed
!!                                               - tab-litho
!!                                               - litho 
!<
MODULE ISO_DECLAR




implicit none

INTEGER ::  NLITH    !< defini dans isostasie  permet choisir modele lithosphere
                     !< 0 enfoncement local, 1 enfoncement regional

INTEGER :: NBED      !< permet de choisir quel type d'isostasie est utilise
                     !< 0 rien, 1 relaxation

! regionalisation de la lithosphere
!-------------------------------------
REAL ::  RL           !< radius of relative stiffness  (metre)
REAL ::  DL           !< lithosphere flexural rigidity (N.m)

INTEGER :: LBLOC         !< distance en noeuds sur laquelle on calcule
                         !< l'influence d'une charge sur la deflexion de 
                         !< la lithosphere.  

REAL ::  TAUSOC       !< constante de temps utilisee pour le temps
                      !< de reponse de l'asthenosphere dans taubed.

REAL,dimension(:,:), allocatable :: WE !< enfoncement du socle autour
                                       !< d'une charge unitaire, sera
                                       !< dimensionne dans le module 
                                       !< isostasie_mod, routine init_iso a 
                                       !< WE(LBLOC:LBOC,-LBLOC:LBLOC)

! Relaxation

REAL,dimension(:,:), allocatable :: CHARGE !< charge sur une maille = RO G H
                                           !< unite : 
                                           !< sera dimensionne dans
                                           !< isostasie_mod 
                                           !< CHARGE(1-LBLOC:NX+LBLOC,1-LBLOC,NY+LBLOC)

END MODULE ISO_DECLAR
